<bugID>829404<Summary>Determine how to handle social activation requests in private browsing windows.</Summary><Description>Bug 808215 disables social activation in private windows.  When an activation request is made, the request is silently ignored - there is no UI shown to indicate the request was seen but was ignored.

There should be some acknowledgement to the user that the request was seen but not acted on.  Possibilities include:

* Showing a notification box to indicate social is not available in private browsing.
* Work to allow Social in private windows (but this is likely to be difficult until we get a real "shared worker".
* Activate social, but only for non-private windows (but this seems problematic - there would still be no Social elements visible in the private window, so the existing panel (a) can't be anchored to the social toolbar elements and (b) offers to "undo" the activation, but the private window will show no evidence of it being activated and (c) FF might be in permanent PB mode, so non-private windows might not be available at all.)

This seems a UX call, so assigning to Boriss</Description></bugID>